package org.netkernel.xml.representation;

import java.io.IOException;

import javax.xml.transform.Source;
import javax.xml.transform.TransformerException;
import javax.xml.transform.sax.SAXSource;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.NKFException;
import org.netkernel.layer0.representation.IReadableBinaryStreamRepresentation;
import org.netkernel.xml.util.NKFEntityResolver;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLFilterImpl;
import org.xml.sax.helpers.XMLReaderFactory;

public class RepSAXHead extends XMLFilterImpl implements IRepSAXHead
{	IReadableBinaryStreamRepresentation mStream;
	String mSystemId;

	public RepSAXHead(IReadableBinaryStreamRepresentation aStream, String aSystemId) throws IOException, SAXException
	{	mStream=aStream;
		mSystemId=aSystemId;
		XMLReader dummy=XMLReaderFactory.createXMLReader();
		setParent(dummy);
	}
	
	/* (non-Javadoc)
	 * @see org.netkernel.xml.representation.IRepSAXHead#trigger()
	 */
	public void trigger() throws NKFException, IOException, SAXException
	{	InputSource src=new InputSource(mStream.getInputStream());
		src.setSystemId(mSystemId);
		parse(src); //trigger pipeline
	}
}
